import request from '@/utils/request'

// 查询BBOX管理列表
export function listDevices(query) {
  return request({
    url: '/devices/devices/list',
    method: 'get',
    params: query
  })
}

// 查询BBOX管理详细
export function getDevices(id) {
  return request({
    url: '/devices/devices/' + id,
    method: 'get'
  })
}

// 新增BBOX管理
export function addDevices(data) {
  return request({
    url: '/devices/devices',
    method: 'post',
    data: data
  })
}

// 修改BBOX管理
export function updateDevices(data) {
  return request({
    url: '/devices/devices',
    method: 'put',
    data: data
  })
}

// 删除BBOX管理
export function delDevices(id) {
  return request({
    url: '/devices/devices/' + id,
    method: 'delete'
  })
}
//设备实时数据
export function getreadata(deviceId) {
  return request({
    url: `/devices/devices/realtime/${deviceId}`,
    method: 'get'
    // params:{
    //   deviceId
    // }
  })
}

//运行历史
// export function getreadata(deviceId) {
//   return request({
//     url: `/devices/devices/realtime/${deviceId}`,
//     method: 'get'
//     // params:{
//     //   deviceId
//     // }
//   })
// }

//运行历史
export function gethistory(deviceId) {
  return request({
    url: `/devices/devices/history/${deviceId}`,
    method: 'get'
    // params:{
    //   deviceId
    // }
  })
}

//获取上传固件记录
export function getgjhis(version) {
  return request({
    url: `iot/ota/meta`,
    method: 'get',
    params:{
      version
    }
  })
}